SystemOrganization addCategory: #'PW-PEG'!

PEGActor subclass: #PWActor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'PW-PEG'!

!PWActor commentStamp: 'chc 3/22/2016 09:29' prior: 0!
This class renders OrderedCollections and Arrays parsed by the #grammarWiki in the PEGParser into HTML. !

!PWActor methodsFor: 'argument' stamp: 'chc 11/25/2015 19:27'!
Bold: flow
	<action: 'Bold' arguments: #(2)>
	^'<b>' , (self collectString: flow) , '</b>'! !

!PWActor methodsFor: 'argument' stamp: 'chc 3/22/2016 10:19'!
Bullet1: flow
	<action: 'Bullet1' arguments: #(3)>
	^'<li>' , (self collectString: flow) , '</li>'! !

!PWActor methodsFor: 'argument' stamp: 'chc 11/25/2015 19:27'!
Heading1: flow
	<action: 'Heading1' arguments: #(3) >
	^'<h1>' , (self collectString: flow) , '</h1>'! !

!PWActor methodsFor: 'argument' stamp: 'chc 11/25/2015 19:27'!
Heading2: flow
	<action: 'Heading2' arguments: #(3) >
	^'<h2>' , (self collectString: flow) , '</h2>'! !

!PWActor methodsFor: 'argument' stamp: 'chc 11/25/2015 19:27'!
Heading3: flow
	<action: 'Heading3' arguments: #(3) >
	^'<h3>' , (self collectString: flow) , '</h3>'! !

!PWActor methodsFor: 'argument' stamp: 'chc 3/24/2016 09:54'!
Italic: flow
	<action: 'Italic' arguments: #(2)>
	^'<i>' , (self collectString: flow) , '</i>'
	
	"^(Character value: 16ra3) asString , (self collectString: flow) , (Character value: 16ra3) asString"! !

!PWActor methodsFor: 'argument' stamp: 'chc 3/30/2016 09:16'!
Link: flow
	<action: 'LinkShort' arguments: #( 2 )>
	| linkContent |
	linkContent := self collectString: flow.
	^'<a href="' , linkContent , '">' , linkContent , '</a>'! !

!PWActor methodsFor: 'no-argument' stamp: 'chc 1/2/2016 13:19'!
Page: flow
	<action: 'Page'>
	^'<div>' , (self collectString: flow) , '</div>'! !

!PWActor methodsFor: 'no-argument' stamp: 'chc 11/25/2015 19:28'!
Paragraph: flow
	<action: 'Paragraph'>
	^'<p>' , (self collectString: flow) , '</p>'! !

!PWActor methodsFor: 'argument' stamp: 'chc 3/22/2016 10:17'!
UnorderedList: flow
	<action: 'UnorderedList'>
	^'<ul>' , (self collectString: flow) , '</ul>'! !

!PWActor methodsFor: 'private' stamp: 'chc 11/25/2015 19:27'!
collectString: flow
	| string |
	string := String new writing.
	flow do: [:ea| string write: ea].
	^string conclusion! !
